#
# Configuration stuff for knfsd
#

##################################################################
# This is the prefix that will be used for nfsd and mountd. Leave this
# empty, or set to `k'.
KPREFIX	= k

# Optimization level for user space programs
OPT	= -g

# use these if your compiler speaks ELF by default, but your kernel is
# compiled as a.out.
#CCMOD	:= $(CC) -b i486-linuxaout
#LDMOD	:= $(LD) -m i386linux

# use these if you have an a.out compiler
CCMOD	:= $(CC)
LDMOD	:= $(LD)

# Statement of capabilities:
#
# HAVE_NETGROUPS	remove this if you have libc-4.5.26 or
#			earlier.
#
HAVE	= -DHAVE_NETGROUPS

# define this if you want auth_des related programs (not yet supported
# by nfsd, but coming soon).
# You have to have a working multi-precision arithmetic library for this,
# e.g. gmp-1.3.2 (check out your nearest GNU archive).
#AUTHDES = yes

# This define will turn NFSv3 support on or off one day. Not functional yet.
#NFSV3	= yes

# This will turn on some debugging stuff in the kernel module
KDEBUG	= -DDEBUG

# Where and how to install manpages
MANDIR	= /usr/man
MAN1EXT	= 1
MAN5EXT	= 5
MAN8EXT	= 8
MAN9EXT	= 9
MANOWNER= man
MANGROUP= man

################# END OF USER SERVICEABLE PARTS ##################
CC	= gcc
AR	= ar
LD	= ld
RANLIB	= ranlib
GETKVER	= $(TOP)/tools/getkversion

AFLAGS	= -I$(TOP)/include -Wall -m486 -pipe $(HAVE)
CFLAGS	= $(OPT) $(AFLAGS)
KFLAGS	= -D__KERNEL__ -I/usr/src/linux/include $(AFLAGS) -O2 \
		-fomit-frame-pointer -DMODULE -DMODVERSIONS \
		-D__NO_VERSION__ $(KDEBUG)
LDFLAGS	= $(OPT)
LINK	= -L$(TOP)/lib -lnfs

ifdef NFSV3
 CFLAGS	+= -DNFS3_SUPPORTED
endif

k	= $(KPREFIX)

INSTALLMAN = install -o $(MANOWNER) -g $(MANOWNER) -m 644
MAN1DIR	= $(MANDIR)/man$(MAN1EXT)
MAN5DIR	= $(MANDIR)/man$(MAN5EXT)
MAN8DIR	= $(MANDIR)/man$(MAN8EXT)
MAN9DIR	= $(MANDIR)/man$(MAN9EXT)
