/*
 * Generate a random key using Ted's /dev/random.
 *
 * Copyright (C) 1995 Olaf Kirch <okir@monad.swb.de>
 */

#include <unistd.h>
#include <fcntl.h>
#include <time.h>
#include "misc.h"

#define DEVRANDOM	"/dev/random"

int
randomkey(unsigned char *outkey, int len)
{
	int	fd, got = 0, ret;

	if ((fd = open(DEVRANDOM, O_RDONLY)) < 0)
		return 0;

	while (got < len) {
		if ((ret = read(fd, outkey+got, len - got)) < 0) {
			close(fd);
			return 0;
		}
		if ((got += ret) < len)
			sleep(1);
	}
	close(fd);

	return got;
}
