/*
 * md5.h	Message Digest Algorithm MD5, implementation from
 *		Colin Plumb's no-rsadsi-md5.
 */

#ifndef __MD5_H__
#define __MD5_H__

#include <asm/byteorder.h>
#include <linux/types.h>

struct MD5Context {
	__u32	buf[4];
	__u32	bytes[2];
	__u32	in[16];
};

void MD5Init(struct MD5Context *context);
void MD5Update(struct MD5Context *context, __u8 const *buf, unsigned len);
void MD5Final(unsigned char digest[16], struct MD5Context *context);
void MD5Transform(__u32 buf[4], __u32 const in[16]);

#ifndef LITTLE_ENDIAN
void MD5ByteSwap(__u32 *buf, unsigned words);
#else
#define MD5ByteSwap(buf, words)	/* nothing */
#endif

#endif /* !__MD5_H__ */
