/*
 * nfsrpc.h	Declarations for the kfnsd RPC interface.
 *
 * XXX: not used yet
 *
 * Copyright (C) 1995 Olaf Kirch <okir@monad.swb.de>
 */

#ifndef NFSRPC_H
#define NFSRPC_H

#include <nfs/nfsconst.h>
#include <nfs/nfsauth.h>
#include <nfs/nfsexport.h>

#ifdef __KERNEL__
/*
 * Buffer to store NFS requests or replies in. Later we want to have a
 * request cache.
 */
typedef struct svc_buf {
	u32 *			base;
	int			buflen;
	u32 *			buf;
	int			len;
} svc_buf;

/*
 * This struct holds all data for a server socket. This is here
 * for future TCP support.
 */
typedef struct svc_sock {
	struct socket *		sk_sock;
	struct sock *		sk_isock;
	svc_buf *		sk_buf;		/* spare receive buffer */
	u32			sk_avail;	/* available data */
} svc_sock;

typedef struct svc_req {
	svc_sock *		rq_sock;
	struct sockaddr_in	rq_addr;	/* sender address */
	int			rq_addrlen;
	svc_client *		rq_client;
	svc_auth		rq_cred;
	svc_auth		rq_verf;
	svc_buf			rq_args;	/* argument buffer */
	svc_buf			rq_res;		/* result buffer */
	struct nfscache_ent *	rq_cacherep;
	u32			rq_xid;		/* transmission id */
	u32			rq_vers;	/* protocol version */
	u32			rq_proc;	/* procedure number */
	unsigned short		rq_userset : 1,	/* auth->setuser OK */
				rq_secure  : 1;	/* secure port */
} svc_req;

/*
 * This defines an RPC procedure (being used in the RPC dispatch tables).
 */
struct svc_proc {
	int		(*p_func) (svc_req *, svc_buf *, svc_buf *);
	char		*p_name;
	int		p_count;
	unsigned long	p_time;
};

#endif /* __KERNEL__ */
#endif /* NFSRPC_H */
