/*
 * nfsstat.h	Statistics for NFS server
 *
 * Copyright (C) 1995, 1996 Olaf Kirch <okir@monad.swb.de>
 */

#ifndef NFSSTAT_H
#define NFSSTAT_H

struct nfsd_stats {
	unsigned int	netcnt;		/* # of received packets */
	unsigned int	netudpcnt;	/* UDP packets */
	unsigned int	nettcpcnt;	/* TCP packets */
	unsigned int	nettcpconn;	/* TCP connections */

	unsigned int	rpccnt;		/* total # of RPC calls */
	unsigned int	rpcbadfmt;	/* bad format */
	unsigned int	rpcbadauth;	/* authentication failed */
	unsigned int	rpcbadclnt;	/* unknown client */

	unsigned int	fhhits;		/* fh cache hits */
	unsigned int	fhmisses;	/* fh cache misses */
	unsigned int	fhstale;	/* stale fhs */
	unsigned int	fhcksum;	/* checksum computations */
	unsigned int	fhbadcksum;	/* bad checksum */

	unsigned int	rchits;		/* repcache hits */
	unsigned int	rcmisses;	/* repcache hits */
	unsigned int	rcnocache;	/* uncached reqs */
};

#ifdef __KERNEL__

extern struct nfsd_stats	nfsdstats;

void	nfsstat_init(void);
void	nfsstat_shutdown(void);

#endif /* __KERNEL__ */
#endif /* NFSSTAT_H */
