/*
 * export.c		Add or delete an NFS export in knfsd.
 *
 * Copyright (C) 1995 Olaf Kirch <okir@monad.swb.de>
 */

#include <nfs/nfsctl.h>
#include "nfslib.h"

int
nfsexport(nfs_export *exp)
{
	nfsctl_arg	arg;

	arg.ca_version = NFSCTL_VERSION;
	memcpy(&arg.ca_export, exp, sizeof(arg.ca_export));
	return nfsctl(NFSCTL_EXPORT, &arg, NULL);
}

int
nfsunexport(nfs_export *exp)
{
	nfsctl_arg	arg;

	arg.ca_version = NFSCTL_VERSION;
	memcpy(&arg.ca_export, exp, sizeof(arg.ca_export));
	return nfsctl(NFSCTL_UNEXPORT, &arg, NULL);
}
