/*
 * rquota_dispatch	This file contains the function dispatch table.
 *
 * Copyright (C) 1995 Olaf Kirch <okir@monad.swb.de>
 */

#include "rquotad.h"
#include "rpcmisc.h"

static struct rpc_dentry quot_1_dtable[] = {
	dtable_ent(rquota_null,1,void,void),		/* NULL */
	dtable_ent(rquota_getquota,1,getquota_args,
					getquota_rslt),	/* GETQUOTA */
	dtable_ent(rquota_getactivequota,1,getquota_args,
					getquota_rslt),	/* GETACTIVEQUOTA */
};

#define number_of(x)	(sizeof(x)/sizeof(x[0]))

static struct rpc_dtable	dtable[] = {
	{ quot_1_dtable,	number_of(quot_1_dtable) },
};

/*
 * The main dispatch routine.
 */
void
rquota_dispatch(struct svc_req *rqstp, SVCXPRT *transp)
{
	union rquotad_arguments	argument;
	union rquotad_results	result;

	rpc_dispatch(rqstp, transp, dtable, number_of(dtable),
			&argument, &result);
}
